# FFI::type

(PHP 7 >= 7.4.0)

FFI::type — Creates an FFI\CType object from a C declaration

### Description

public static FFI::type ( mixed `$type` ) : FFI\CType
public FFI::type ( mixed `$type` ) : FFI\CType

This function creates and returns a FFI\CType object for the given string containing a C type declaration. If this method is called statically, it must only use predefined C type names (e.g. int, char, etc.); if the method is called as instance method, any type declared for the instance is allowed.

### Parameters

`type`

  A valid C declaration as string, or an instance of FFI\CType which has already been created.

### Return Values

Returns the freshly created FFI\CType object.